Subject: Re: binutils

From: Philip Blundell <[email-masked]>
Date: Mon, 5 May 1997 12:09:44 +0100 (BST)

On Mon, 5 May 1997, Matthew Wilcox wrote:

> Excellent news.  Any word on how long it will be before ELF support is
> added to GCC & binutils?  I don't know much about unix file formats (and I

No.  The latest on this is that Russell has some preliminary patches for
binutils, but there's still a way to go.  He doesn't have any ELF
documentation, which isn't helping.  Also, there is no real standard for
ELF on the ARM - I spoke to the guys at ARM Ltd about this, but although
we decided that it would be good for the Linux people to work with ARM to
implement ELF, nothing much has actually been done.  Other vendors have
done ELF for the ARM in their toolkits and we're waiting to see how they
went about it. 

> ELF.  I've knocked up an ARM assembler strlen.c if you want it.  It uses
> word loads for speed.  I've also done bzero & ntohl, htonl, htons, ntohs,

That would be cool, thanks.

p.